import tailwindcss from "@tailwindcss/vite"
import react from "@vitejs/plugin-react"
import path from "path"
import { defineConfig } from "vite"

// https://vite.dev/config/
export default defineConfig({
  plugins: [react(), tailwindcss()],
  resolve: {
    alias: {
      "@": path.resolve(__dirname, "./src"),
    },
  },
  server: {
    proxy: {
      "/api": "http://192.168.3.6:5000",
      "/article": "http://192.168.3.6:5000",
      "/user": "http://192.168.3.6:5000",
      "/product": {
        target: "http://192.168.3.6:5000",
        bypass(req) {
          if (req.headers?.accept?.includes("text/html")) {
            return "/index.html"
          }
        },
      },
      "/script": "https://php-api.juip.com",
    },
  },
})
